CON
    _clkmode  = xtal1 + pll16x
    _xinfreq  = 5_000_000 

OBJ
  
  pst     : "Parallax Serial Terminal"
  SP :    "Servo_PositionsV1"  'rotates servo
  echo : "Ping"                'distance detection
  
VAR

   long A, B, C, stack[30]    'watch stack size
   word cog

PUB Pre_Start

    pst.Start(115_200)
    waitcnt(clkfreq * 2 + cnt)
    
    Start

PUB Start  : success

    Stop
    success := cog := cognew(main, @stack) +1
    SP.Start
    waitcnt(clkfreq / 2 + cnt)      
    
PUB Stop

    If cog 
      cogstop(cog~ - 1)

PUB main        
             
  repeat   
    SP.main(222)                     'change serve numbers here
    waitcnt(clkfreq / 10 * 8 + cnt)         
    A := echo.Centimeters(27)         
    SP.main(132)                     'change serve numbers here 
    waitcnt(clkfreq / 2 + cnt)  
    B := echo.Centimeters(27)       
    SP.main(40)                      'change serve numbers here 
    waitcnt(clkfreq / 10 * 6 + cnt)   
    C := echo.Centimeters(27)
    pst.Chars(pst#NL, 2)             'You can put serial terminal anywhere you want
    pst.Dec(A)                       'Ping))) values
    pst.Chars(pst#NL, 1)
    pst.Dec(B)
    pst.Chars(pst#NL, 1)
    pst.Dec(C)  

PUB Left_side : result

    result := A

PUB Forward : result

    result := B

PUB Right_side : result
    
    result := C
                                    